Changelog
=========

10.9 - (2018-10-05)
---------------------
* Feature: Added support for Matomo analytics reading events
  [avoinea refs #98857]

10.8 - (2018-07-27)
---------------------
* Bug fix:  jQuery.timer is undefined
  [avoinea refs #97410]

10.7 - (2018-06-20)
---------------------
* Change: updated URLs pointing to eea.europa.eu with https://
  [alecghica refs #95849]

10.6 - (2018-03-14)
-------------------
* Add a BBB uninstall profile.
  [thet]
* Change: upgrade fancybox to 2.1.7 and jquery.reflection to 1.11 in order to avoid jquery.migrate warnings for using deprecated jquery features
  [ichim-david refs #91577]

10.5 - (2017-12-12)
-------------------
* Change: Replace eeacms/zptlint with eeacms/plone-test:4 zptlint
  [avoinea refs #90415]

10.4 - (2017-11-20)
-------------------
* Bug fix: Align metadata version to 10.4
  [avoinea]
* Upgrade step: Within "Plone > Site setup > Add-ons" click on
  upgrade button available for eea.jquery
  [avoinea]

10.3 - (2017-11-15)
-------------------
* Change: Changed name $.tree to $.jstree accoding to tokewf comment.
  [dals83 refs #7]

10.2 - (2017-11-07)
-------------------
* Change: Remove Sphinx generated documentation
  [petchesi-iulian refs #88212]

10.1 - (2017-09-26)
-------------------
* Bug fix: Escape annotator RegExp selection
  [avoinea refs #88339]

10.0 - (2017-08-29)
-------------------
* Bug fix: select2.png 404 (Not Found), under geotags popup on edit, in prod mode
  Fixed the path to images in css
  [zoltan_andras refs #84486]

9.9 - (2017-08-16)
------------------
* Bug fix: avoid error if content_core isn't found when calling screentimeAnalytics
  [ichim-david refs #86049]

9.8 - (2017-06-12)
------------------
* Change: documented need for custom dimension in order to import
  the report for the screentimeanalytics plugin and remove compression
  for the loaded js in order to avoid js error
  [ichim-david]

9.7 - (2017-05-15)
------------------
* Change: removed jquery.scrolldepth and jquery.screentime plugins
  from eea.jquery since they didn't provide in the end the platform
  for recording the screen analytics
  [ichim-david refs #83507]
* Feature: added eea.jquery.screenanalytics.js which in combination
  with google analytics allows you to track time spent until user
  reaches the designated thresholds such as end of content or end
  of page
  [ichim-david refs #83507]

9.6 - (2017-04-24)
------------------
* Change: updated package information
  [eduard-fironda]

9.5 - (2017-03-27)
------------------
* Feature: added jquery.scrolldepth and jquery.screentime plugins
  [ichim-david refs #83507]

9.4 - (2017-01-17)
------------------
* Bug fix: Add extra_require for zope2 only deployments
  [avoinea]

9.3 - (2016-08-23)
------------------
* Change: Do not restrict select2 js and css resources to authenticated users
  [laulaz refs #5 (github)]

9.2 - (2016-08-01)
------------------
* Bug fix: Fixed date widget slide bar
  [catalinmititiuc]

9.1 - (2016-07-20)
------------------
* Bug fix: Fixed jstree plugin by replacing deprecated jQuery `.live` with `.on`
  [avoinea]

9.0 - (2016-06-29)
------------------
* Upgrade step: Within "Plone > Site setup > Add-ons" click on
  upgrade button available for eea.jquery
* Bug fix: Add Plone 5 registry.xml for jquery2uislider, colorpicker, cookie
  [avoinea]
* Change: Add metadata.xml for all profiles
  [avoinea]

8.9 - (2016-05-19)
------------------
* Bug fix: Fix pylint warnings
  [ichim-david refs #71940]

8.8 - (2016-03-31)
------------------
* Bug fix: use applyPrefix=1 for the select2 CSS registration so images like
  select2.png are found correctly.
  [gbastien]

8.7 - (2016-03-01)
------------------
* Change: Upgrade to select2 3.5.4 and include select2 locales files.
  [vincentfretin]

8.6 - (2015-10-05)
------------------
* jQuery.bbq: Remove legacy browser support for jQuery >= 1.9
  [petschki]

8.5 - (2015-08-18)
------------------
* Change: Auto-include zcml within plone context in order to make this package
  work without having to add it within buildout zcml directive.
  [avoinea]

8.4 - (2015-07-28)
------------------
* Bug fix: Cleanup EEA specific conditions within timoutdialog jquery plugin
  [voineali refs #26848]

8.3 - (2015-03-17)
------------------
* Change: Switched to curl in the jenkins builds install script
  [olimpiurob refs #22402]
* Change: Changed fetch url for jenkins builds install script to the install
  script from the main EEA CPB repository
  [olimpiurob refs #22402]

8.2 - (2014-12-23)
------------------
* Bug fix: Fixed TypeError: Range.prototype is undefined within Firefox
  [avoinea refs #3 (github)]

8.1 - (2014-11-20)
------------------
* Add the jQuery browser plugin for restoring browser detection deprecated and
  removed from jQuery core.
  [rpatterson]
* Add Plone 5 resource registrations for those libraries not already bundled in
  Plone 5's JS and CSS.
  [rpatterson]
* Feature: Added jquery-dracula plugin (see: http://www.graphdracula.net)
  [voineali refs #21182]
* Feature: Support CSRF authenticator validation within annotator plugin
  [avoinea]
* Bug fix: fixed timeoutdialog plugin for case when last modified
  information could not be retrieved.
  [ghicaale refs #21457]
* Feature: implemented reset option for timeout dialog
  [ghicaale refs #21457]

8.0 - (2014-08-27)
------------------
* Feature: added jquery-rememberstate plugin
  [ichimdav refs #20302]

7.9 - (2014-08-12)
------------------
* Feature: created timeout dialog jQuery plugin.
  [ghicaale refs #20389]

7.8 - (2014-06-26)
------------------
* Feature: jQuery Annotator Plugin - added minWords option in order to
  allow addition of inline comments only if selected text has at least
  one number of words
  [voineali refs #19978]
* Feature: jQuery Annotator Plugin - added noDuplicate option in order to
  disable possibility to add inline comments if selected text has multiple
  occurrences
  [voineali refs #19978]
* Bug fix: Fix matching algorithm within jquery annotator plugin
  [voineali refs #19978]

7.7 - (2014-05-13)
------------------
* Feature: Added jquery-select2 plugin
  [ichim-david refs #18559]
* Bugfix: Fixed unpivot annotator for firefox
  [szabozo0 refs #19052]
* Feature: Added jquery-masonry plugin
  [voineali refs #17713]
* Feature: Added jquery-serialscroll plugin
  [voineali refs #17713]
* Bug fix: Don't try to highlight inline comments within textareas and inputs
  [voineali refs #18830]

7.6 - (2014-03-10)
------------------
* Bug fix: Fix annotator matching algorithm when mixing styling html tags
  [voineali refs #18795]
* Feature: Don't hide selected text when adding a new inline comment
  [voineali refs #18674]

7.5 - (2014-02-13)
------------------
* Change: released new egg since 7.4 was a brown bag release
  [ichimdav]

7.4 - (2014-02-13)
------------------
* Feature: Real-time update of annotator inline comments via AJAX calls
  [voineali refs #18098]
* Change: Prettify the dates displayed in annotations
  [olimpiurob #18288]

7.3 - (2014-02-03)
------------------
* Change: Annotator js and css resources are now restricted to authenticated users
  [olimpiurob #17233]
* Feature: Updated annotator plugin with fixed FontAwesome icons for unpivot annotations
  [szabozo0 refs #18191]
* Feature: Trigger events when collapsing and uncollapsing comments in annotator
  plugin
  [olimpiurob #18193]

7.2 - (2014-01-24)
------------------
* Bug fix: Fix Annotator Errata counter update on replies
  [avoinea]
* Bug fix: Fixed bug in annotator plugin not beeing able to add reply after
  comment has been undeleted
  [olimpiurob #17728]
* Feature: Added reply functionality to annotator errata plugin
  [olimpiurob #17728]

7.1 - (2014-01-21)
------------------
* Feature: Annotator made the "comment-by-time" visible in the first line
  [voineali refs #17731]
* Feature: Log closing and opening of inline comments
  [voineali refs #18080]
* Feature: Annotator plugin added authorization handler for replies
  [olimpiurob #18000]
* Feature: Replaced annotator-controls with buttons while preserving eea-icons
  [olimpiurob #18000]
* Feature: Make annotator comments reply box bigger and higher contrast
  [batradav refs #17728]
* Bug fix: Pulsate the warning message for missing comments within errata portlet
  [batradav refs ##17705]
* Feature: Improved the inline comments matching algorithm
  [voineali refs #17735]
* Feature: adding Sphinx-generated documentation in Page Template format
  [batradav refs #9502]

7.0 - (2014-01-14)
------------------
* Change: Added date type for pivoted columns
  [szabozo0 refs #17190]
* Feature: Added possibility to preserve deleted inline comments within annotator
  Store Plugin. See Store Plugin history option.
  [voineali refs #17729]
* Change: Split annotator errata portlet in 2 section:
  pending comments and closed ones
  [voineali refs #17729]
* Feature: Updated annotator with plugin for googlecharts unpivot
  [szabozo0 refs #17190]
* Bugfix: Prevent multiple binds for mousedown on editor
  [szabozo0]
* Feature: Explicitly explain red background of comments within annotator errata
  plugin
  [voineali refs #17729]
* Feature: Annotator trigger afterClick and beforeClick within errata plugin
  in order to be handled from outside this package
  [voineali refs #17729]
* Feature: Annotator plugin distinguish sections with several
  overlapping comments
  [voineali refs #17727]

6.9 - (2013-12-10)
------------------
* Feature: Add new custom plugin (Errata) that displays all inline comments
  within an area (easily create listings with all inline comments)
  [voineali refs #17461]
* Feature: Annotator trigger event after annotation is created in order to
  easily refresh other instances
  [voineali refs #17461]

6.8 - (2013-11-20)
------------------
* Feature: Added exactMatch option to jquery-annotator plugin in order to avoid
  wrong annotated text if backend text was changed
  [voineali refs #17460]
* Feature: Updated jquery-annotator plugin to version 1.2.8 and made it
  compatible with jquery 1.7.x
  [voineali refs #17185]
* Feature: Added Comment Plugin (inline comment replies) for jquery-annotator
  [voineali refs #17185]

6.7 - (2013-10-22)
------------------
* Feature: Added jquery-annotator plugin
  [voineali refs #17185]

6.6 - (2013-06-17)
------------------
* Feature: added several new or existing configurations as options to the
  jquery.galleryview, see CHANGELOG.txt from the plugin directory for details
  [ichim-david #14606]
* Feature: Added ability to insert navigation images for jquery.galleryview
  and disable the overlay navigation images
  [ichim-david #14606]

6.5 - (2013-04-17)
------------------
* Feature: Added jquery.colorpicker plugin
  [szabozo0 refs #9583]

6.4 - (2013-01-18)
------------------
* Feature: added information for contributors
  [ciobabog refs #13892]
* Upgrade step:
    - Within portal_setup import 'EEA jQuery Slickgrid' Javascript & Stylesheet registry
* Enhance compatiblity of Slickgrid with jqueryui 1.10
  [kiorky]

6.3 - (2013-01-10)
------------------
* Change: Changed resource path for images
* Feature: Added ajax-loader.gif
  [szabozo0]
* Bug fix: Added delay on slickgrid columns reorder in order to easily use this
  feature together with header menus
  [avoinea refs #9610]

6.2 - (2012-11-22)
------------------
* Bug fix: Fix slickgrid images paths
  [avoinea refs #9610]

6.1 - (2012-11-09)
------------------
* Feature: Added jquery.slickgrid plugin
  [avoinea refs #5599]
* Change: Upgraded jquery to version 1.7.2
  [avoinea]

6.0 - (2012-10-08)
------------------
* Feature: Made this package Plone independent
  [voineali refs #5424]
* Feature: Zope2/Zope3 compatible (Plone/CMF independent)

4.4 - (2012-08-27)
------------------
* Feature: Added buildouts folder which will contain various samples of configurations
  [ghicaale refs #5418]

4.3 - (2012-08-10)
------------------
* Change: Removed 'jquery.js' from profiles as in Plone 4.2 it was renamed to
  plone.app.jquery.js and added links to jquery/metadata.xml to all genericsetup
  profiles
  [voineali refs #5346]

4.2 - (2012-06-12)
------------------
* Feature: Added jquery.jqgrid plugin
  [avoinea #5024]

4.1 - (2011-10-04)
------------------
* Feature: Added jquery.tokeninput plugin
  [voineali $4563]
* Change: Upgraded to fancybox 1.3.4 for ie9 compatibility
  [szabozo0 #4542]
* Cleanup: Fixed all pylint, pyflakes violations
  [voineali #4256]
* Feature: Added tests framework
  [voineali #4256]
* Cleanup: Dropped ++resource++jquery.tools.min.js as it conflicts
  with plone.app.jquerytools.js in Plone 4;
  [voineali #4256]
* Cleanup: Dropped ++resource++jquery.ui-1.7.js as it conflicts with
  jquery.tools in Plone 4. Use collective.js.jqueryui instead;
  [voineali #4256]
* Cleanup: Dropped eea.jquery.js as it conflicts with jquery.js in Plone 4;
  [voineali #4256]
* Feature: Added upgrade steps
  [voineali #4392]
* Feature: Plone 4 compatibility. This version is backward incompatible.

4.0 - (2010-11-15)
------------------
* Feature: Moved to plone-collective
* Feature: Added jquery 1.4.2
* Feature: Default profile installs jquery 1.3 or 1.4 accorging to plone version

2.2 - (2010-09-30)
------------------

2.1 - (2010-09-28)
------------------
 * Add jquery.qtip plugin, it is used by eea.indicators [tiberich #3645]

2.0 - (2010-06-16)
------------------
* Change: Refactored eea.jquery in order to easily be used within GenericSetup profiles
  [voineali #3427]
* Upgrade steps:
    * Within portal_setup import all steps using 'EEA jQuery - Fancybox' profile
    * Within portal_setup import all steps using 'EEA jQuery - Gallery View' profile
    * Within portal_setup import all steps using 'EEA jQuery - Flash Embed' profile
    * Within portal_skins > Properties tab delete eea_jquery* layers from all skins
    * Within portal_skins delete eea_jquery folder

1.7 - (2010-06-11)
------------------
* Change: Included jquery.ui in portal_javascript/portal_css
  [thuliper #3427]
* Feature: Prepended jquery.ui image URLs with portal-url
  [thuliper #3409]
* Feature: Add jQuery BBQ library
  [thuliper #3238]
* Feature: Set up resourceDirectories for galleryview and fancybox jquery plugins
  [thuliper #3166]
* Feature: Added a small profile to install fancybox from eea.jquery - usable outside EEA and inside
  [vincisas #3329]

1.6 - (2010-03-16)
------------------
* Bug fix: Fixed plone 3 installer compatibility
  [voineali #3100]

1.5 - (2010-03-08)
------------------
* Feature: Added green images to be used with flexible tooltips
  [voineali #2986]
* Feature: Upgraded to jquery.fancybox 1.3.0
  [thuliper #3031]

1.4 - (2010-02-22)
------------------
* Feature: New tooltip images (up/down/bottom/left) for a more generalized tooltip system
  [thuliper #3003]
* Bug fix: Fixed bug where URLs to galleryview left/right arrow images where wrong
  [thuliper #3006]

1.3 - (2010-02-15)
------------------
* Feature: Add galleryview plugin in order to view image slide shows
  [thuliper #2937]
* Feature: Add selectToUISlider plugin in order to be used with faceted navigation date widget
  [voineali #2871]

1.2 - (2010-01-18)
------------------
* Feature: Add jstree plugin in order to be used with faceted navigation path widget
  [voineali #2625]

1.1.1 - (2009-12-04)
--------------------
* Feature: New tooltip images in the EEA color scheme.
  [thuliper #2840]

1.1 - (2009-12-01)
------------------
* Feature: Added GS registration.
  [thuliper]
* Feature: Added jQuery Tools.
  [thuliper]

1.0 - (2009-10-29)
------------------
* Initial release
